Name:           quazip
Version:        0.4.4
Release:        %mkrel 1
Summary:        Qt/C++ wrapper for the minizip library
License:        LGPLv2+
Group:          Development/C++ 
URL:            http://quazip.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         library_version.patch
BuildRequires: pkgconfig(QtCore)
BuildRequires: pkgconfig(zlib)
BuildRequires: pkgconfig(libzip)
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: cmake

%description
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives. It uses Trolltech's Qt toolkit.

QuaZIP allows you to access files inside ZIP archives using QIODevice API,
and - yes! - that means that you can also use QTextStream, QDataStream or
whatever you would like to use on your zipped files.

QuaZIP provides complete abstraction of the ZIP/UNZIP API, for both reading
from and writing to ZIP archives.

#------------------------------------------------------------------------------
%define quazip_major 1
%define libquazip %mklibname quazip %{quazip_major}

%package -n %libquazip
Summary: Runtime library for %{name}
Group: System/Libraries
Obsoletes: %{name} < 0.4.3
%description -n %libquazip
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives.

This package provides the runtime library.

%files -n %libquazip
%_libdir/libquazip.so.%{quazip_major}*

#------------------------------------------------------------------------------

%define develquazip %mklibname quazip -d

%package -n %develquazip
Summary:   Development files for %{name}
Group:     Development/C++  
Requires:  %libquazip = %{version}-%{release}
Requires:  pkgconfig(libzip)
Provides:  lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Conflicts: %{name} < 0.4.3
Obsoletes: quazip-devel < 0.4.3

%description -n %develquazip
QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
can be used to access ZIP archives.

This package provides the headers files need to build a package against 
%{name}. 

%files -n %develquazip
%doc doc/html 
%doc COPYING README.txt NEWS
%{_includedir}/%{name}
%{_libdir}/libquazip.so
%{_datadir}/cmake/Modules/FindQuaZip.cmake

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake
%make

cd ..
doxygen Doxyfile
for file in doc/html/*; do
       touch -r Doxyfile $file
done

%install
rm -rf %{buildroot}
%makeinstall_std -C build


%changelog

* Sun Mar 25 2012 anaselli <anaselli> 0.4.4-1.mga2
+ Revision: 226430
- Upstream bug fixing release

* Wed Dec 21 2011 anaselli <anaselli> 0.4.3-3.mga2
+ Revision: 185573
- Fixed provides info for developer package

* Fri Dec 16 2011 mikala <mikala> 0.4.3-2.mga2
+ Revision: 182664
- Add missing obsoletes

* Fri Dec 16 2011 mikala <mikala> 0.4.3-1.mga2
+ Revision: 182659
- Use pkgconfig for BR
- Fix Group
- Fix subpackages (use proper libification)

  + anaselli <anaselli>
    - new version 0.4.3
    - imported package quazip

